HPTRR(4)

NAME
hptrr - HighPoint RocketRAID device driver

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device hptrr
device scbus
device da

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    hptrr_load="YES"

The following tunables are settable from the loader:

hw.hptrr.attach_generic
set to 1 to permit driver attach to chips with generic Marvell (non-HighPoint) PCI identification. These chips are also supported by ata(4) and mvs(4). Some vendors are using same chips, but without providing RAID BIOS.

DESCRIPTION
The hptrr driver provides support for HighPoint's RocketRAID based RAID controllers.

These devices support SATA/ATA disk drives and provide RAID0 (striping), RAID1 (mirroring), and RAID5 functionality.

HARDWARE
The hptrr driver supports the following RAID controllers:

•   RocketRAID 172x series
•   RocketRAID 174x series
•   RocketRAID 2210
•   RocketRAID 222x series
•   RocketRAID 2240
•   RocketRAID 230x series
•   RocketRAID 231x series
•   RocketRAID 232x series
•   RocketRAID 2340
•   RocketRAID 2522

NOTES
The hptrr driver only works on the i386 and amd64 platforms as it requires a binary blob object from the manufacturer which they only supply for these platforms. The hptrr driver does not work on i386 with pae(4) enabled.

This driver does not support the RR182x series controller. See the hptmv(4) manual page for details on support.

This driver supersedes the older rr232x driver.

SEE ALSO
ata(4), cam(4), hptmv(4), loader(8), mvs(4)

HISTORY
The hptrr device driver first appeared in FreeBSD 6.3.

AUTHORS
-nosplit The hptrr device driver was written by HighPoint Technologies, Inc., and ported to FreeBSD by Scott Long. This manual page was written by David E. O'Brien.

BUGS
The hptrr driver does not support manipulating the RAID from the OS, RAIDs need to be set up from the on-board BIOS.